Page MenuHomePhabricator

Switch MediaWiki core's use of OOjs UI to use the MediaWiki theme, not Apex
Closed, ResolvedPublic

Related Objects

StatusAssignedTask
OpenNone
OpenNone
Resolvedmatmarex
Resolved TrevorParscal
ResolvedJdforrester-WMF
ResolvedPrtksxna
Resolved TrevorParscal
Resolvedmatmarex
ResolvedPrtksxna
Resolved TrevorParscal
Resolved TrevorParscal
Resolved TrevorParscal
ResolvedJdforrester-WMF
Resolved TrevorParscal
Resolved TrevorParscal
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
Resolved TrevorParscal
Resolved TrevorParscal
Resolved TrevorParscal
Resolved TrevorParscal
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
ResolvedPrtksxna
Resolvedmatmarex
Resolvedmatmarex

Event Timeline

Jdforrester-WMF claimed this task.
Jdforrester-WMF raised the priority of this task from to High.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF changed Security from none to None.
Jdforrester-WMF added subtasks: T78036: Checked state of checkboxes looks off when zoomed in, in the MediaWiki theme, T78040: Need for a muted destructive state for buttons which are destructive but not important workflow items in the OOjs UI MediaWiki theme, T78052: Vertical alignment of the "add template" button and the search box is incorrect in template dialog in VisualEditor when using the OOjs UI MediaWiki theme, T78050: Width layout issues in the media insert window, T78048: Disabled checkbox is almost indistinguishable from an enabled, selected checkbox in the OOjs UI MediaWiki theme, T78047: We need to pick a highlight colour and use it consistently in VisualEditor when using the OOjs UI MediaWiki theme, T78045: Extra space before the start of the citation/template (not multiple transclusion) dialog contents, T78043: Height of the toolbar is insufficient for a button to appear there in the OOjs UI MediaWiki theme, T78042: Replace and Replace all buttons are clipped in VisualEditor when using the OOjs UI MediaWiki theme, T78041: Vertical alignment of text in the search-and-replace field is off in VisualEditor, T78038: Special character inserter width needs adjusting, T78035: Parameter "add more information" label "No unused fields" placed oddly in the transclusion dialog in VisualEditor when using the OOUI MediaWiki theme, T78034: Parameter "add more information" field floats very oddly in the transclusion dialog in VisualEditor when using the OOUI MediaWiki theme, T78033: We should set "destructive" on parameter remove buttons in the transclusion dialog in VisualEditor when using the OOUI MediaWiki theme, T78032: Selected state of panel controls is blue, but for ButtonSelectWidgets is grey, in MediaWiki theme, T78031: Vertical height of panel controls is too low in MediaWiki theme, T78030: Vertical alignment of text alongside checkbox is off in MediaWiki theme, T78029: Height of ButtonSelectWidget is too high in MediaWiki theme.Dec 9 2014, 8:31 PM
Jdforrester-WMF moved this task from Backlog to Next-up on the OOUI board.Dec 9 2014, 8:36 PM

Change 177900 had a related patch set uploaded (by Jforrester):
resources: Switch OOjs UI from the 'Apex' to the 'MediaWiki' theme

https://gerrit.wikimedia.org/r/177900

Patch-For-Review

Mostly we are looking at alignment, margin and padding adjustments. In a few cases there are some serious design decisions to be made.

Jdforrester-WMF closed this task as Resolved.Dec 12 2014, 9:09 PM

Woo.

Change 177900 merged by jenkins-bot:
resources: Switch OOjs UI from the 'Apex' to the 'MediaWiki' theme

https://gerrit.wikimedia.org/r/177900

Jdforrester-WMF moved this task from Next-up to Reviewing on the OOUI board.Mar 26 2015, 8:57 PM
Danny_B moved this task from Done to OOUI on the UI-Standardization board.May 20 2016, 8:53 PM